# Webhooks

Webhooks allow the Sinch servers to communicate with your server backend. The `webhooks` endpoint lets you create, update, and delete webhooks programmatically.

 - [GET /v1/projects/{projectId}/webhooks](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/webhooks/webhookcontroller_listwebhooks_v1.md): Returns a paginated list of webhooks for the specified project. If no page token is supplied then all registered webhooks (of maximum `15`) are returned in alphabetical order.
 - [POST /v1/projects/{projectId}/webhooks](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/webhooks/webhookcontroller_createwebhook_v1.md): Register a new webhook for a project. The webhook will be used to communicate updates to resources. Maximum of `15` webhooks allowed per project.
 - [GET /v1/projects/{projectId}/webhooks/{webhookId}](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/webhooks/webhookcontroller_getwebhook_v1.md): Return an already created webhook.
 - [DELETE /v1/projects/{projectId}/webhooks/{webhookId}](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/webhooks/webhookcontroller_deletewebhook_v1.md): Deletes an already created webhook.
 - [PUT /v1/projects/{projectId}/webhooks/{webhookId}](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/webhooks/webhookcontroller_replacewebhook_v1.md): Replace an already existing webhook.
 - [PATCH /v1/projects/{projectId}/webhooks/{webhookId}](https://developers.sinch.com/docs/provisioning-api/api-reference/provisioning-api-1/webhooks/webhookcontroller_updatewebhook_v1.md): Update an already existing webhook.
